> ## Documentation Index
> Fetch the complete documentation index at: https://mathify.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a project



## OpenAPI

````yaml /openapi.json get /projects/{projectId}
openapi: 3.1.0
info:
  title: Mathify API
  version: 1.0.0
  description: >-
    Public REST API for generating and retrieving Mathify math animations. See
    app/api/v1/README.md in the source repo for the underlying implementation.
servers:
  - url: https://mathify.dev/api/v1
security: []
tags:
  - name: Projects
  - name: Messages
  - name: Fragments
  - name: Music
  - name: Evals
paths:
  /projects/{projectId}:
    get:
      tags:
        - Projects
      summary: Get a project
      operationId: getProject
      parameters:
        - in: path
          name: projectId
          schema:
            type: string
          required: true
        - in: query
          name: includeFragments
          schema:
            description: Embed the project's fragments in the response.
            type: string
            enum:
              - '0'
              - '1'
              - 'true'
              - 'false'
          description: Embed the project's fragments in the response.
      responses:
        '200':
          description: Project
          content:
            application/json:
              schema:
                type: object
                properties:
                  project:
                    $ref: '#/components/schemas/Project'
                required:
                  - project
                additionalProperties: false
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: >-
            A valid API key is required, or the account has no credits balance
            (see https://mathify.dev/pricing)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - apiKeyHeader: []
        - bearerAuth: []
components:
  schemas:
    Project:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        userId:
          type: string
        featured:
          type: boolean
        remixedFragmentId:
          anyOf:
            - type: string
            - type: 'null'
        remixDescendantCount:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        createdAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        updatedAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        fragmentCount:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        fragments:
          description: Only present when includeFragments=1 was requested.
          type: array
          items:
            $ref: '#/components/schemas/Fragment'
      required:
        - id
        - name
        - userId
        - featured
        - remixedFragmentId
        - remixDescendantCount
        - createdAt
        - updatedAt
        - fragmentCount
      additionalProperties: false
    ErrorResponse:
      type: object
      properties:
        error:
          example: Project not found
          type: string
      required:
        - error
      additionalProperties: false
    Fragment:
      type: object
      properties:
        id:
          type: string
        messageId:
          type: string
        projectId:
          type: string
        title:
          type: string
        description:
          description: The user message content that produced this fragment.
          anyOf:
            - type: string
            - type: 'null'
        sandboxUrl:
          type: string
        files:
          description: Only present when includeFiles=1 was requested.
          type: object
          propertyNames:
            type: string
          additionalProperties:
            type: string
        animationUrl:
          anyOf:
            - type: string
            - type: 'null'
        thumbnailUrl:
          type: string
        vtpUrl:
          anyOf:
            - type: string
            - type: 'null'
        vtkManifestUrl:
          anyOf:
            - type: string
            - type: 'null'
        createdAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        updatedAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        messageCreatedAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        public:
          type: boolean
      required:
        - id
        - messageId
        - projectId
        - title
        - description
        - sandboxUrl
        - animationUrl
        - thumbnailUrl
        - vtpUrl
        - vtkManifestUrl
        - createdAt
        - updatedAt
        - messageCreatedAt
        - public
      additionalProperties: false
  securitySchemes:
    apiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Your Mathify API key (`mk_live_<64 hex chars>`), generated at
        /settings/api-keys.
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Same token as apiKeyHeader, passed as `Authorization: Bearer <token>`.'

````